Comprehensive data protection for all workloads
Post Reply
jturnbull
Influencer
Posts: 11
Liked: 1 time
Joined: Aug 16, 2016 4:02 pm
Full Name: Jim Turnbull
Contact:

Unable to use database VeeamBackup because it was created using a later version

Post by jturnbull »

Hi,

Following the instructions for updating Veeam per https://www.veeam.com/kb4245, I'm getting the error "Unable to use database VeeamBackup because it was created using a later version of Veeam Backup Enterprise Manager".

I'm using the ISO for 11a (build 11.0.1.1261 P20230227) because I'm currently running 11.0.0.837 P20210525. The issue may be because the version of the database schema is later than expected by the installer (due to a patch being installed on 11.0.0.837).

Does anyone what version number to set in the database to make the upgrade work, or given that this is for a critical vulnerability issue, will Veeam be releasing a version of the ISO that works without having to fudge the database?
Mildur
Product Manager
Posts: 8630
Liked: 2267 times
Joined: May 13, 2017 4:51 pm
Full Name: Fabian K.
Location: Switzerland
Contact:

Re: Unable to use database VeeamBackup because it was created using a later version

Post by Mildur »

Hello

We cannot share such information over the forum. Manipulating values inthe database is not unsupported.
It can lead to even more issues. Updating those values in the database requires supervision from our customer support.

Please provide a support case ID for this technical issue, as requested when you click New Topic.
Without case number, the topic will eventually be
deleted by moderators
.

Best regards,
Fabian

PS: support can only help if you upload logs https://www.veeam.com/kb1832
Setup Logs are available under this path: C:\ProgramData\Veeam\Setup\Temp
Product Management Analyst @ Veeam Software
jturnbull
Influencer
Posts: 11
Liked: 1 time
Joined: Aug 16, 2016 4:02 pm
Full Name: Jim Turnbull
Contact:

Re: Unable to use database VeeamBackup because it was created using a later version

Post by jturnbull »

Okay I understand that you don't want database manipulation known about in the forum, but can you at least answer whether Veeam will release an ISO that works, rather than everyone having to go through support to get a fix?
Mildur
Product Manager
Posts: 8630
Liked: 2267 times
Joined: May 13, 2017 4:51 pm
Full Name: Fabian K.
Location: Switzerland
Contact:

Re: Unable to use database VeeamBackup because it was created using a later version

Post by Mildur »

Hi Jim

First we need to see your log files in a support case. Then we can determine what's wrong with the iso and db schema. If there is an bug, we will update the ISO files.

Our dev department cannot fix something we don't know about yet. Debug logs are required for such analysis.

Best,
Fabian
Product Management Analyst @ Veeam Software
jturnbull
Influencer
Posts: 11
Liked: 1 time
Joined: Aug 16, 2016 4:02 pm
Full Name: Jim Turnbull
Contact:

Re: Unable to use database VeeamBackup because it was created using a later version

Post by jturnbull » 1 person likes this post

Support case ID: #05926743
jturnbull
Influencer
Posts: 11
Liked: 1 time
Joined: Aug 16, 2016 4:02 pm
Full Name: Jim Turnbull
Contact:

Re: Unable to use database VeeamBackup because it was created using a later version

Post by jturnbull »

Support case got closed due to lack of resource
Mildur
Product Manager
Posts: 8630
Liked: 2267 times
Joined: May 13, 2017 4:51 pm
Full Name: Fabian K.
Location: Switzerland
Contact:

Re: Unable to use database VeeamBackup because it was created using a later version

Post by Mildur »

Hi Jim

That can happen for support cases for our free products. We only offer support on best effort for those products.

I searched now through all support cases. Unfortunately your case is the only one with the reported error message:
"Unable to use database VeeamBackup because it was created using a later version of Veeam Backup Enterprise Manager"

Reading the error message, it sounds like you are trying to use the database from your enterprise manager for the update. Please check that the correct database (vbr database) is chosen for the installation of V11a P20230227.
The correct SQL Server and vbr database name can be looked up in the registry:
- HKLM\Software\Veeam\Veeam Backup & Replication\
- SQLDatabasename, SQLInstancename and SQLServername

If the update still not works, you can also create a configuration backup, remove Veeam Backup & Replication.
Then start a new installation with V11a ISO with an empty database. As the last step, restore your configuration backup. You can restore a V11 configuration database to a V11a server. But not to a V12 server with PostgreSQL. So suggest todo this workaround with V11a.

Best,
Fabian
Product Management Analyst @ Veeam Software
mkaec
Veteran
Posts: 462
Liked: 133 times
Joined: Jul 16, 2015 1:31 pm
Full Name: Marc K
Contact:

Re: Unable to use database VeeamBackup because it was created using a later version

Post by mkaec »

I had a support case for a free product auto-close. A KB article with the resolution appeared 2 days after I submitted the case. So, the effort would have been to send me a link to the KB article.

I thought "best effort" meant "it could be a long wait", not "the case will close without anyone looking at it". That's not too much different from not providing support at all. If someone is in a bind and they submit a support case, the current situation just creates false hope. What is someone supposed to do when their case closes like this? Submit a duplicate case?
jturnbull
Influencer
Posts: 11
Liked: 1 time
Joined: Aug 16, 2016 4:02 pm
Full Name: Jim Turnbull
Contact:

Re: Unable to use database VeeamBackup because it was created using a later version

Post by jturnbull »

Mildur wrote: Mar 16, 2023 1:22 pm
Reading the error message, it sounds like you are trying to use the database from your enterprise manager for the update. Please check that the correct database (vbr database) is chosen for the installation of V11a P20230227.
I was installing from the ISO because that's what it said in the instructions for KB4245. When installing from ISO, it says you need to upgarde Enterprise Manager first, and then prompts for where the Enterprise Manager database is. That's when the error occurs.

Glad to hear no-one else has had this problem :roll:
Mildur
Product Manager
Posts: 8630
Liked: 2267 times
Joined: May 13, 2017 4:51 pm
Full Name: Fabian K.
Location: Switzerland
Contact:

Re: Unable to use database VeeamBackup because it was created using a later version

Post by Mildur »

That's correct. Enterprise Manager must first be updated. But VeeamBackup is in normal cases not the database for the enterprise manager. In a default installation, the database name for the enterprise manager would be VeeamBackupReporting. And for the Veeam Backup Server, the default database name is VeeamBackup


May I ask, do you have installed the enterprise manager before? I'm asking, because our Veeam Community Edition doesn't allow to use Enterprise Manager. It can only be installed with a license file.
Does this value exists on your backup server?
- HKEY_LOCAL_MACHINE\SOFTWARE\Veeam\Veeam Backup Reporting\VeeamBackupReporting\SqlDatabaseName

If not, don't install the enterprise manager. Just update Veeam Backup & Replication to V12.

Best,
Fabian
Product Management Analyst @ Veeam Software
Post Reply

Who is online

Users browsing this forum: Bing [Bot], Google [Bot] and 58 guests